## i8c 0.0.6

=== requirements.txt ===
# Remember to update setup.py
arpy
pyelftools >= 0.24

## i8c 0.0.3

=== debian/changelog ===
i8c (0.0.3-3) unstable; urgency=medium

  * Fix help2man invocation.

 -- Matthias Klose <doko@debian.org>  Sat, 17 Sep 2016 16:05:49 +0200

i8c (0.0.3-2) unstable; urgency=medium

  * Build-depend on help2man.

 -- Matthias Klose <doko@debian.org>  Sat, 17 Sep 2016 02:56:26 +0200

i8c (0.0.3-1) unstable; urgency=medium

  * Initial release. Closes: #837901.

 -- Matthias Klose <doko@debian.org>  Wed, 14 Sep 2016 15:04:09 +0200

=== debian/control ===
Source: i8c
Section: devel
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Build-Depends: debhelper (>= 9),
 dh-python,
 help2man,
 libelf-dev,
 python3,
 python3-setuptools,
 python3-nose,
Standards-Version: 3.9.8
Homepage: https://infinitynotes.org/wiki/Infinity

Package: i8c
Architecture: all
Multi-Arch: foreign
Depends: ${shlibs:Depends},
 ${misc:Depends},
 python3-pkg-resources,
 ${python3:Depends},
Description: infinity note compiler
 Infinity is a platform-independent system for executables and shared 
 libraries to export information to software development tools such as 
 debuggers.
 .
 In Infinity, executable and shared library files contain *Infinity 
 notes* in addition to their regular contents. Each Infinity note 
 contains a function encoded in a platform-independent instruction 
 set that note-consuming tools can load and execute.
 .
 This package provides I8C, a compiler for creating object files 
 containing Infinity notes. This package also provides I8X, an 
 execution environment that can be used to create unit tests for 
 compiled notes.

## i8c 0.0.4

=== debian/changelog ===
i8c (0.0.4-1) unstable; urgency=medium

  * New upstream release.

 -- Matthias Klose <doko@debian.org>  Wed, 26 Oct 2016 10:57:09 +0200

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,10 @@
  help2man,
  libelf-dev,
  python3,
+ python3-arpy,
  python3-setuptools,
  python3-nose,
+ python3-pyelftools,
 Standards-Version: 3.9.8
 Homepage: https://infinitynotes.org/wiki/Infinity

## i8c 0.0.6

=== debian/changelog ===
i8c (0.0.6-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sun, 10 Sep 2017 15:12:23 +0200

i8c (0.0.5-1) unstable; urgency=medium

  * New upstream release.

 -- Matthias Klose <doko@debian.org>  Sun, 20 Aug 2017 21:52:05 +0200

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,12 @@
  help2man,
  libelf-dev,
  python3,
+ python3-libi8x,
  python3-arpy,
  python3-setuptools,
  python3-nose,
  python3-pyelftools,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: https://infinitynotes.org/wiki/Infinity
 
 Package: i8c
@@ -19,8 +20,9 @@
 Multi-Arch: foreign
 Depends: ${shlibs:Depends},
  ${misc:Depends},
+ ${python3:Depends},
  python3-pkg-resources,
- ${python3:Depends},
+# python3-libi8x,
 Description: infinity note compiler
  Infinity is a platform-independent system for executables and shared 
  libraries to export information to software development tools such as

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_BEFORE_TEST_python3=cp -r {dir}/setup.py {dir}/examples {build_dir}
#export PYBUILD_BEFORE_CLEAN=rm -rf {build_dir}

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	-dh_auto_test

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/i8c/usr/share/man/man1
	PYTHONPATH=$$(find debian/i8c -name dist-packages) \
	help2man --name='Infinity Note Compiler' --no-info \
		debian/i8c/usr/bin/i8c \
		> debian/i8c/usr/share/man/man1/i8c.1
	PYTHONPATH=$$(find debian/i8c -name dist-packages) \
	help2man --name='Infinity Note Execution Environment' --no-info \
		debian/i8c/usr/bin/i8x \
		> debian/i8c/usr/share/man/man1/i8x.1

# dh_make generated override targets
# This is example for Cmake (See https://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- #	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)
